﻿$ErrorActionPreference = 'Stop'

$packageName= $env:ChocolateyPackageName
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/spf13/hugo/releases/download/v$($env:ChocolateyPackageVersion)/hugo_$($env:ChocolateyPackageVersion)_Windows-32bit.zip"
$url64      = "https://github.com/spf13/hugo/releases/download/v$($env:ChocolateyPackageVersion)/hugo_$($env:ChocolateyPackageVersion)_Windows-64bit.zip"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  checksum      = '6228092486f08d0ef6d9d2bb566207a25223264e2f893a9f4c378be1ae5f119c'
  checksumType  = 'sha256'
  checksum64    = '1074f2559457c9a6da4e01f29e43e20518a85c7b3e2bc653c20c96fc9596f9a1'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
